return {
    {
        "L3MON4D3/LuaSnip",
        dependencies = {
            {
                'rafamadriz/friendly-snippets'
            }
        },
        version = "v2.*",
        build = "make install_jsregexp",
        event = {
            "InsertEnter"
        },
        init = function()
            vim.keymap.set({
                "i"
            }, "<c-j>", function() require("luasnip").expand() end, {
                silent = true
            })
            vim.keymap.set({
                "i",
                "s"
            }, "<c-j>", function() require("luasnip").jump(1) end, {
                silent = true
            })
            vim.keymap.set({
                "i",
                "s"
            }, "<c-k>", function() require("luasnip").jump(-1) end, {
                silent = true
            })

        end,
        config = function()
            local loader = require("luasnip.loaders.from_lua")
            loader.lazy_load({
                paths = {
                    "./snippets"
                }
            })

            require("luasnip").config.set_config({
                enable_autosnippets = true,
                store_selection_keys = "<leader>v"
            })
        end
    }
}
